<template>
  <v-form>
    <v-container>
      <v-text-field label="Paste link from Fabelio.com" 
        single-line
        v-model=links>
      </v-text-field>
      <v-btn @click="fetchProduct()">Submit</v-btn>
      <v-btn @click="gotoList()">List Product</v-btn>
    </v-container>
  </v-form>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Home',
  data: () => ({
    links: ''
  }),
  methods: {
    fetchProduct () {
      axios.post('http://localhost:8990/api/product/fetch', this.links, {
        headers: { 'Content-Type': 'text/plain' },
      })
      .then(response => {
        console.log('success: ' + response.status)
        if (response.status == 200) {
          window.location = '/detail/' + response.data.sku
        }
      })
      .catch(e => {
        console.log('error: ' + e)
      })
    },
    gotoList() {
      window.location = '/list'
    }
  }
}
</script>
